Package Gnumed :: Package business :: Module gmStaff :: Class cStaff |
[frames] | no frames]

# Class cStaff

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cStaff

Instance Methods
__init__(self, aPK_obj=None, row=None) Init business object. | source code
__setitem__(self, attribute, value) | source code
set_role(self, conn=None, role=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__str__`, `fields_as_dict`, `format`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| database_language = `property(_get_db_lang, _set_db_lang)`
| inbox = `property(_get_inbox, _set_inbox)`
| identity = `property(_get_identity, lambda x: x)`
| role = `property(lambda x: x, set_role)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, aPK_obj=None, row=None) (Constructor) | source code
    Init business object.

    Call from child classes:

            super(cChildClass, self).__init__(aPK_obj = aPK_obj, row = row, link_obj = link_obj)
Overrides: object.__init__ (inherited documentation)

### __setitem__(self, attribute, value) (Index assignment operator) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.__setitem__